Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Configure Gemfile to use Rails 3.0.x. Also bump mongo related and web…

…rat gem versions
  • Loading branch information...
commit a582d4dca11625ef9c3bd9585a4d222e52a2bcad 1 parent 4977bd1
@carlosantoniodasilva carlosantoniodasilva authored
Showing with 56 additions and 58 deletions.
  1. +6 −6 Gemfile
  2. +50 −52 Gemfile.lock
View
12 Gemfile
@@ -2,8 +2,8 @@ source "http://rubygems.org"
gemspec
-gem "rails", "3.0.1"
-gem "webrat", "0.7.1"
+gem "rails", "~> 3.0.0"
+gem "webrat", "0.7.2"
gem "mocha", :require => false
gem "oa-oauth", :require => "omniauth/oauth"
gem "oa-openid", :require => "omniauth/openid"
@@ -17,8 +17,8 @@ platforms :ruby do
gem "ruby-debug", ">= 0.10.3" if RUBY_VERSION < '1.9'
group :mongoid do
- gem "mongo", "1.0.7"
- gem "mongoid", "2.0.0.beta.18"
- gem "bson_ext", "1.0.7"
+ gem "mongo", "1.1.2"
+ gem "mongoid", "2.0.0.beta.20"
+ gem "bson_ext", "1.1.2"
end
-end
+end
View
102 Gemfile.lock
@@ -10,42 +10,41 @@ GEM
remote: http://rubygems.org/
specs:
abstract (1.0.0)
- actionmailer (3.0.1)
- actionpack (= 3.0.1)
- mail (~> 2.2.5)
- actionpack (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
+ actionmailer (3.0.3)
+ actionpack (= 3.0.3)
+ mail (~> 2.2.9)
+ actionpack (3.0.3)
+ activemodel (= 3.0.3)
+ activesupport (= 3.0.3)
builder (~> 2.1.2)
erubis (~> 2.6.6)
- i18n (~> 0.4.1)
+ i18n (~> 0.4)
rack (~> 1.2.1)
- rack-mount (~> 0.6.12)
- rack-test (~> 0.5.4)
+ rack-mount (~> 0.6.13)
+ rack-test (~> 0.5.6)
tzinfo (~> 0.3.23)
- activemodel (3.0.1)
- activesupport (= 3.0.1)
+ activemodel (3.0.3)
+ activesupport (= 3.0.3)
builder (~> 2.1.2)
- i18n (~> 0.4.1)
- activerecord (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
- arel (~> 1.0.0)
+ i18n (~> 0.4)
+ activerecord (3.0.3)
+ activemodel (= 3.0.3)
+ activesupport (= 3.0.3)
+ arel (~> 2.0.2)
tzinfo (~> 0.3.23)
activerecord-jdbc-adapter (1.0.2-java)
activerecord-jdbcsqlite3-adapter (1.0.2-java)
activerecord-jdbc-adapter (= 1.0.2)
jdbc-sqlite3 (~> 3.6.0)
- activeresource (3.0.1)
- activemodel (= 3.0.1)
- activesupport (= 3.0.1)
- activesupport (3.0.1)
+ activeresource (3.0.3)
+ activemodel (= 3.0.3)
+ activesupport (= 3.0.3)
+ activesupport (3.0.3)
addressable (2.2.2)
- arel (1.0.1)
- activesupport (~> 3.0.0)
+ arel (2.0.4)
bcrypt-ruby (2.1.2)
- bson (1.0.4)
- bson_ext (1.0.7)
+ bson (1.1.2)
+ bson_ext (1.1.2)
builder (2.1.2)
columnize (0.3.2)
erubis (2.6.6)
@@ -57,7 +56,7 @@ GEM
i18n (0.4.2)
jdbc-sqlite3 (3.6.14.2.056-java)
linecache (0.43)
- mail (2.2.9)
+ mail (2.2.10)
activesupport (>= 2.3.6)
i18n (~> 0.4.1)
mime-types (~> 1.16)
@@ -65,12 +64,11 @@ GEM
mime-types (1.16)
mocha (0.9.9)
rake
- mongo (1.0.7)
- bson (>= 1.0.4)
- mongoid (2.0.0.beta.18)
- activemodel (~> 3.0.0)
- bson (= 1.0.4)
- mongo (= 1.0.7)
+ mongo (1.1.2)
+ bson (>= 1.1.1)
+ mongoid (2.0.0.beta.20)
+ activemodel (~> 3.0)
+ mongo (~> 1.1)
tzinfo (~> 0.3.22)
will_paginate (~> 3.0.pre)
multi_json (0.0.5)
@@ -104,19 +102,19 @@ GEM
ruby-openid (>= 2.1.8)
rack-test (0.5.6)
rack (>= 1.0)
- rails (3.0.1)
- actionmailer (= 3.0.1)
- actionpack (= 3.0.1)
- activerecord (= 3.0.1)
- activeresource (= 3.0.1)
- activesupport (= 3.0.1)
- bundler (~> 1.0.0)
- railties (= 3.0.1)
- railties (3.0.1)
- actionpack (= 3.0.1)
- activesupport (= 3.0.1)
- rake (>= 0.8.4)
- thor (~> 0.14.0)
+ rails (3.0.3)
+ actionmailer (= 3.0.3)
+ actionpack (= 3.0.3)
+ activerecord (= 3.0.3)
+ activeresource (= 3.0.3)
+ activesupport (= 3.0.3)
+ bundler (~> 1.0)
+ railties (= 3.0.3)
+ railties (3.0.3)
+ actionpack (= 3.0.3)
+ activesupport (= 3.0.3)
+ rake (>= 0.8.7)
+ thor (~> 0.14.4)
rake (0.8.7)
ruby-debug (0.10.4)
columnize (>= 0.1)
@@ -127,14 +125,14 @@ GEM
ruby-openid-apps-discovery (1.2.0)
ruby-openid (>= 2.1.7)
sqlite3-ruby (1.3.2)
- thor (0.14.4)
- treetop (1.4.8)
+ thor (0.14.6)
+ treetop (1.4.9)
polyglot (>= 0.3.1)
tzinfo (0.3.23)
warden (1.0.2)
rack (>= 1.0.0)
weakling (0.0.4-java)
- webrat (0.7.1)
+ webrat (0.7.2)
nokogiri (>= 1.2.0)
rack (>= 1.0)
rack-test (>= 0.5.3)
@@ -147,16 +145,16 @@ PLATFORMS
DEPENDENCIES
activerecord-jdbcsqlite3-adapter
bcrypt-ruby (~> 2.1.2)
- bson_ext (= 1.0.7)
+ bson_ext (= 1.1.2)
devise!
mocha
- mongo (= 1.0.7)
- mongoid (= 2.0.0.beta.18)
+ mongo (= 1.1.2)
+ mongoid (= 2.0.0.beta.20)
oa-oauth
oa-openid
orm_adapter (~> 0.0.2)
- rails (= 3.0.1)
+ rails (~> 3.0.0)
ruby-debug (>= 0.10.3)
sqlite3-ruby
warden (~> 1.0.2)
- webrat (= 0.7.1)
+ webrat (= 0.7.2)
Please sign in to comment.
Something went wrong with that request. Please try again.